/* utility functions */

// copy to clipboard
function copyToClipboard(text) {
  window.prompt("To copy hit the keys: Ctrl+C, Enter", text);
}

// toggle html element onClick
function toggle(togid,imgid) {
	if ( $( togid ).is( ":hidden" ) ) {
		$( togid ).show();
		$(imgid).attr('src', 'img/toggle-collapse.png');
	}
	else{
		$( togid ).hide();
		$(imgid).attr('src', 'img/toggle-expand.png');
	}
}

// aToolTip onClick
$(function(){ 
	$('a.normalTip').aToolTip();
	
	
	$('a.fixedTip').aToolTip({
		fixed: true
	});
	
	$('a.clickTip').aToolTip({
		clickIt: true,
		tipContent: 'Hello I am aToolTip with content from the "tipContent" param'
	});		
	
	$('a.callBackTip').aToolTip({
		clickIt: true,
		onShow: function(){alert('I fired OnShow')},
		onHide: function(){alert('I fired OnHide')}
	});		
}); 			
				
	
// function for disabling tooltip on mouseover
window.onload = function() {
	var links = document.getElementsByTagName("a");
	for (var i = 0; i < links.length; i++) {
		var link = links[i];
		link.onmouseover = function() {
			this.setAttribute("org_title", this.title);
			this.title = "";
		};
		link.onmouseout = function() {
			this.title = this.getAttribute("org_title");
		};
	}
};

// test for cookies
function testCookies() {
	document.cookie = '_t_e_s_t_';
	var positiveResult = document.cookie.length > 0 && document.cookie.indexOf('_t_e_s_t_') > -1;
	var toDelete = new Date(1981, 1, 1);
	document.cookie = '_t_e_s_t_;expires=' + toDelete.toUTCString();
	if(! positiveResult){
		alert('Cookies are required to use this site. Please activate session cookies for this domain and reload the page!');
	}
	return positiveResult;
}